class Float
  def round2
    whole = self.floor
    fraction = self - whole
    if fraction == 0.5
      if (whole % 2) == 0
         whole
      else
         whole+1
      end
    else
      self.round
    end
  end
end

a = (33.4).round2  # 33
b = (33.5).round2  # 34
c = (33.6).round2  # 34
d = (34.4).round2  # 34
e = (34.5).round2  # 34
f = (34.6).round2  # 35

